Hardware Locality (hwloc) 2.9.2

Data Fields
hwloc_obj_attr_u::hwloc_bridge_attr_s Struct Reference

`#include <hwloc.h>`

## Data Fields
union {
struct hwloc_pcidev_attr_s pci
} | upstream
hwloc_obj_bridge_type_t | upstream_type
union {
struct {
unsigned short domain
unsigned char secondary_bus
unsigned char subordinate_bus
} pci
} | downstream
hwloc_obj_bridge_type_t | downstream_type
unsigned | depth

## Detailed Description

Bridge specific Object Attributes.

## Field Documentation

## ◆ depth

unsigned hwloc_obj_attr_u::hwloc_bridge_attr_s::depth

## ◆ domain

unsigned short hwloc_obj_attr_u::hwloc_bridge_attr_s::domain

## ◆

union { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::downstream

## ◆ downstream_type

hwloc_obj_bridge_type_t hwloc_obj_attr_u::hwloc_bridge_attr_s::downstream_type

## ◆ pci [1/2]

struct hwloc_pcidev_attr_s hwloc_obj_attr_u::hwloc_bridge_attr_s::pci

## ◆ [2/2]

struct { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::pci

## ◆ secondary_bus

unsigned char hwloc_obj_attr_u::hwloc_bridge_attr_s::secondary_bus

## ◆ subordinate_bus

unsigned char hwloc_obj_attr_u::hwloc_bridge_attr_s::subordinate_bus

## ◆

union { ... } hwloc_obj_attr_u::hwloc_bridge_attr_s::upstream

## ◆ upstream_type

hwloc_obj_bridge_type_t hwloc_obj_attr_u::hwloc_bridge_attr_s::upstream_type

The documentation for this struct was generated from the following file:

- hwloc.h